org.apache.storm.topology

## Class OutputFieldsGetter

- java.lang.Object
- - org.apache.storm.topology.OutputFieldsGetter

- All Implemented Interfaces:
    OutputFieldsDeclarer

      public class OutputFieldsGetter
      extends Object
      implements OutputFieldsDeclarer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputFieldsGetter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `declare(boolean direct, Fields fields)`
    `void` | `declare(Fields fields)` Uses default stream id.
    `void` | `declareStream(String streamId, boolean direct, Fields fields)`
    `void` | `declareStream(String streamId, Fields fields)`
    `Map<String,StreamInfo>` | `getFieldsDeclaration()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputFieldsGetter

          public OutputFieldsGetter()

  - ### Method Detail

    - #### declare

          public void declare(Fields fields)

      Description copied from interface: `OutputFieldsDeclarer`

      Uses default stream id.

      Specified by:
        `declare` in interface `OutputFieldsDeclarer`

    - #### declare

          public void declare(boolean direct,
                              Fields fields)

      Specified by:
        `declare` in interface `OutputFieldsDeclarer`

    - #### declareStream

          public void declareStream(String streamId,
                                    Fields fields)

      Specified by:
        `declareStream` in interface `OutputFieldsDeclarer`

    - #### declareStream

          public void declareStream(String streamId,
                                    boolean direct,
                                    Fields fields)

      Specified by:
        `declareStream` in interface `OutputFieldsDeclarer`

    - #### getFieldsDeclaration

          public Map<String,StreamInfo> getFieldsDeclaration()

Copyright © 2021 The Apache Software Foundation. All rights reserved.